# Endpoints

Pricing for our API is calculated is currently a fixed fee.

To request access, create a ticket in our [Discord](https://discord.gg/bearlabs) and ping @tolibear. We can then schedule a meeting to discuss your project and how the Bear Bot (and its API) can aid you.

Once you have been given access, follow these steps to get your API key:

1. Select 🔌 **Extended API** in the settings\
   ![](https://1774748854-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fmtm6qMMlpBMQxEyJRV1d%2Fuploads%2FtHD4CTmhALp1xg2B24lP%2Fimage.png?alt=media\&token=b6940e99-5cbf-4e8a-8eb3-4f60a39ca71d)
2. Click  🔑 **Create API Key** to generate your API Key.&#x20;
3. Your key will now be displayed to you, save this key as it will not be shown again unless regenerated.
4. The embed will now also show your RealmID which will be used in all of your requests to our API.

## Lost / Compromised API Key

If your API Key is lost or compromised, follow these steps to regenerate a new key and invalidate your old one:

1. Select 🔌 **Extended API** in the settings\
   \
   ![](https://1774748854-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fmtm6qMMlpBMQxEyJRV1d%2Fuploads%2FS2lge4lmXK4mCOtEL5iZ%2Fimage.png?alt=media\&token=534f4a1a-f5dc-45ad-9843-3401a649f9d1)
2. Click  🔑 **Regenerate API Key** to re-generate your API Key and invalidate your old one.&#x20;
3. Your new key will now be displayed to you, save this key as it will not be shown again.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.badbears.io/api/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
